Bug 129645 - boot hangs on kudzu service
boot hangs on kudzu service
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 09:00 EDT by Petr Fischer
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Fischer 2004-08-11 09:00:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Boot process hangs on kudzu service (I must skip them for
 successful boot). Previous 2.6.6 kernel is ok.

Version-Release number of selected component (if applicable):
kernel 2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1. boot


Additional info:
Comment 1 Arjan van de Ven 2004-08-11 09:02:13 EDT
any idea what it is doing ?
do you have a firewire (controller) ?
Comment 2 John Franks 2004-09-11 12:27:05 EDT
I have the identical problem.  Also I think this may be a dup of
128759.  I am using an old VA Linux box with no firewire and no USB
devices.  It is a generic FC2 system with latest updates.

Kernel is 2.6.8-1.521
kudzu is 1.1.68.2-1

When kudzu runs in bootup I see "Checking for new hardware" then an
appropriate pause for kudzu and then "Updating /etc/fstab" and a hang
from which ctrl-alt-del is possible.

After disabling kudzu boot is normal.  I can then run kudzu and it
appears to work (though I have not made hardware changes for it to
find).  There are no visible ill effects.
Comment 3 John Franks 2004-09-13 11:47:16 EDT
 "with no firewire and no USB devices"

I lied.  There is a USB mouse on this system.
Comment 4 Dave Jones 2005-01-17 03:35:10 EST
is this still causing problems with the latest update kernels ?
Comment 5 A. Folger 2005-04-03 19:19:56 EDT
I have the same problem on FC3.
[afolger@localhost ~]$ rpm -q kudzu
kudzu-1.1.95-1
[afolger@localhost ~]$ rpm -q kernel
kernel-2.6.8-1.603
kernel-2.6.10-1.770_FC3

Kernel 2.6.8-1.603 boots with kudzu and everything works (except that on x86_64
sound often crashes). However, later kernels, up to and including
2.6.10-1.770_FC3  cough on kudzu during bootup. I disabled kudzu, and since, the
newer kernel boots. From the command line, kudzu runs just fine. The problem
exists on both the i386/686 and x86_64 platforms. I have one USB device, a HP
PSC2175 printer/scanner, and it works even with kudzu disabled. As you can tell
from the rpm query above, I applied all the latest updates.

The bug should be reclassified as FC3 all architectures.
Comment 6 Dave Jones 2005-04-16 00:58:38 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.